
/*FlexBox Stuff*/
* {
    box-sizing: border-box;
    font-family: BoldPixels;
}

html {
    background-color: #4e273e;
}

body {
    display: flex;
    min-height: 100vh;
    max-width: 100vh;
    flex-direction: column;
    margin: auto;
    
}

#main {
    display: flex;
    flex: 1;
    flex-direction: column;
}

#main > article {
    flex: 1;
}

#main > nav {
    order: -1;
}

/*Visual CSS*/

@font-face {
    font-family: BoldPixels;
    src: url('BoldPixels.ttf') format('truetype');
}

footer, article, aside {
    padding: 1em;
}

header, footer {
    background: #da7372;
    height: 20vh;
}

div {
    background-color: #ffbc7d;
}



header {
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    margin-top: 10%;
    padding-bottom: 2em;
}

header img {
    max-width: 25vh;
    float: left;
    padding-left: 1em;
    
}

header h1 {
    text-align: center;
    padding-top: 2em;

}

article h2 {
    text-align: center;
    border-bottom: 3px solid #4e273e;
}

footer {
    border-top: 5px solid #4e273e;
}

footer div {
    border-radius: 25px;
    flex: 0;
    float: right;
    padding: 1em;
    padding-bottom: 2em;
}

footer img {
    max-width: 2em;
}

/*Nav Bar*/
nav {
    background: #da7372;
    text-align: left;
    border-bottom: 5px solid #4e273e;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #da7372;
}

ul li {
    float: right;
    margin-bottom: 1em;
}

ul li a {
    border-radius: 25px;
    display: block;
    color: black;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

ul li a:hover {
    background-color: #4e273e;
    color: white;
}
/*End Nav section*/

.game_title {
    background-color: #ffbc7d;
    width: 100vh;
}

.game_title h1 {
    text-align: center;
}

.container {
    display: grid;
    grid-template-columns: 48vh 48vh;
    margin: auto;

}

/*C++ Scroll Container*/
div.scroll-container {
    background-color: #4e273e;
    margin: 1em;
    border-radius: 25px;
    overflow: auto;
    white-space: nowrap;
    padding: 10px;
    max-height: 23vh;
    max-width: 50vh;
}

div.scroll-container img {
  padding: 10px;
  max-height: 20vh;
  border-radius: 25px;
}

@media screen and (min-width: 576px) {
    #main {
        flex-direction: row;
    }

        #main > nav,
        #main > aside {
            flex: 0 0 20vw;
        }
}

